<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: highslide_gallery_admin.php
| Author: bartek124
| E-Mail: bartek124@php-fusion.pl
| Web: bartek124.php-fusion.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
if (!checkrights("HGP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

include INFUSIONS."highslide_gallery_panel/infusion_db.php";
if (file_exists(INFUSIONS."highslide_gallery_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."highslide_gallery_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."highslide_gallery_panel/locale/English.php";
}

if(isset($_POST['save'])) {
	$result = dbquery("UPDATE ".DB_HSGALLERY." SET hsgallery_status='".$_POST['hsgallery_status']."', hsgallery_style='".$_POST['hsgallery_style']."', hsgallery_comments='".$_POST['hsgallery_comments']."', hsgallery_views='".$_POST['hsgallery_views']."', hsgallery_opacity='".$_POST['hsgallery_opacity']."', hsgallery_slideshow='".$_POST['hsgallery_slideshow']."'");
	echo "<div class='admin-message'>".$locale['hgp_001']."</div>";
}

$hsgallery_conf = dbarray(dbquery("SELECT * FROM ".DB_HSGALLERY));

opentable($locale['hgp_002']);
echo "<form name='adminform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='600' class='center'>\n<tr>\n";
echo "<td width='50%' class='tbl' align='right'>".$locale['hgp_003']."</td>\n";
echo "<td width='50%' class='tbl'><select name='hsgallery_status' class='textbox' style='width:50px;'>\n";
echo "<option value='1' ".($hsgallery_conf['hsgallery_status'] == 1 ? "selected='selected'" : "").">".$locale['hgp_yes']."</option>\n";
echo "<option value='0' ".($hsgallery_conf['hsgallery_status'] == 0 ? "selected='selected'" : "").">".$locale['hgp_no']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl' align='right'>".$locale['hgp_004']."</td>\n";
echo "<td width='50%' class='tbl'><select name='hsgallery_views' class='textbox' style='width:50px;'>\n";
echo "<option value='1' ".($hsgallery_conf['hsgallery_views'] == 1 ? "selected='selected'" : "").">".$locale['hgp_yes']."</option>\n";
echo "<option value='0' ".($hsgallery_conf['hsgallery_views'] == 0 ? "selected='selected'" : "").">".$locale['hgp_no']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl' align='right'>".$locale['hgp_005']."</td>\n";
echo "<td width='50%' class='tbl'><select name='hsgallery_comments' class='textbox' style='width:50px;'>\n";
echo "<option value='1' ".($hsgallery_conf['hsgallery_comments'] == 1 ? "selected='selected'" : "").">".$locale['hgp_yes']."</option>\n";
echo "<option value='0' ".($hsgallery_conf['hsgallery_comments'] == 0 ? "selected='selected'" : "").">".$locale['hgp_no']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl' align='right'>".$locale['hgp_006']."</td>\n";
echo "<td width='50%' class='tbl'><select name='hsgallery_opacity' class='textbox' style='width:50px;'>\n";
echo "<option value='1' ".($hsgallery_conf['hsgallery_opacity'] == 1 ? "selected='selected'" : "").">".$locale['hgp_yes']."</option>\n";
echo "<option value='0' ".($hsgallery_conf['hsgallery_opacity'] == 0 ? "selected='selected'" : "").">".$locale['hgp_no']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl' align='right'>".$locale['hgp_007']."</td>\n";
echo "<td width='50%' class='tbl'><select name='hsgallery_style' class='textbox' style='width:100px;'>\n";
echo "<option value='1' ".($hsgallery_conf['hsgallery_style'] == 1 ? "selected='selected'" : "").">".$locale['hgp_007a']."</option>\n";
echo "<option value='2' ".($hsgallery_conf['hsgallery_style'] == 2 ? "selected='selected'" : "").">".$locale['hgp_007b']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl' align='right'>".$locale['hgp_009']."</td>\n";
echo "<td width='50%' class='tbl'><select name='hsgallery_slideshow' class='textbox' style='width:50px;'>\n";
echo "<option value='1' ".($hsgallery_conf['hsgallery_slideshow'] == 1 ? "selected='selected'" : "").">".$locale['hgp_yes']."</option>\n";
echo "<option value='0' ".($hsgallery_conf['hsgallery_slideshow'] == 0 ? "selected='selected'" : "").">".$locale['hgp_no']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl' colspan='2' align='center'><br /><input type='submit' name='save' value='".$locale['hgp_008']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>