<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: highslide_gallery_panel.php
| Author: bartek124
| E-Mail: bartek@bartek124.net
| Web: bartek@bartek124.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."highslide_gallery_panel/infusion_db.php";
if (file_exists(INFUSIONS."highslide_gallery_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."highslide_gallery_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."highslide_gallery_panel/locale/English.php";
}
define("SAFEMODE_HS", @ini_get("safe_mode") ? true : false);
$hsgallery_conf = dbarray(dbquery("SELECT * FROM ".DB_HSGALLERY));
if($hsgallery_conf['hsgallery_status'] == 1 && FUSION_SELF == "photogallery.php" && isset($_GET['album_id'])) {
	$hs = "";
	if ($hsgallery_conf['hsgallery_status'] == 1) {
		if ($hsgallery_conf['hsgallery_style'] == 1) {
			$hs .= "hs.outlineType = 'glossy-dark';
					hs.wrapperClassName = 'dark';\n";
		} elseif($hsgallery_conf['hsgallery_style'] == 2) {
			$hs .= "hs.outlineType = 'rounded-white';\n";
		}
			
		if ($hsgallery_conf['hsgallery_opacity'] == 1) {
			$hs .= "hs.dimmingOpacity = 0.75;";
		}
	
		add_to_head("<script type='text/javascript' src='".INFUSIONS."highslide_gallery_panel/highslide/highslide-with-gallery.packed.js'></script>
<link rel='stylesheet' type='text/css' href='".INFUSIONS."highslide_gallery_panel/highslide/highslide.css' />
<script type='text/javascript'>
hs.graphicsDir = '".INFUSIONS."highslide_gallery_panel/highslide/graphics/';
hs.align = 'center';
hs.transitions = ['expand', 'crossfade'];
hs.fadeInOut = true;
hs.showCredits = false;
".($locale['hgp_highslidelang'] == true ? "
hs.cssDirection = '".$locale['hgp_020']."';
hs.loadingText = '".$locale['hgp_021']."';
hs.loadingTitle = '".$locale['hgp_022']."';
hs.focusTitle = '".$locale['hgp_023']."',
hs.fullExpandTitle = '".$locale['hgp_024']."';
hs.creditsText = '".$locale['hgp_025']."';
hs.creditsTitle = '".$locale['hgp_026']."';
hs.previousText = '".$locale['hgp_027']."';
hs.nextText = '".$locale['hgp_028']."'; 
hs.moveText = '".$locale['hgp_029']."';
hs.closeText = '".$locale['hgp_030']."'; 
hs.closeTitle = '".$locale['hgp_031']."'; 
hs.resizeTitle = '".$locale['hgp_032']."';
hs.playText = '".$locale['hgp_033']."';
hs.playTitle = '".$locale['hgp_034']."';
hs.pauseText = '".$locale['hgp_035']."';
hs.pauseTitle = '".$locale['hgp_036']."';
hs.previousTitle = '".$locale['hgp_037']."';
hs.nextTitle = '".$locale['hgp_038']."';
hs.moveTitle = '".$locale['hgp_039']."';
hs.fullExpandText = '".$locale['hgp_040']."';
hs.number = '".$locale['hgp_041']."';
hs.restoreTitle = '".$locale['hgp_042']."';" : "")."
".$hs."

if (hs.addSlideshow) hs.addSlideshow({
	interval: 5000,
	repeat: false,
	useControls: true,
	fixedControls: 'fit',
	overlayOptions: {
		opacity: .6,
		position: 'bottom center',
		hideOnMouseOut: true
	}
});</script>");
		
	function highslide_gallery($buffer) {
		global $settings, $locale, $hsgallery_conf;
			
		if (preg_match_all('#<!--photogallery_album_photo_([0-9]+)-->#si', $buffer, $photo_id, PREG_PATTERN_ORDER)) {
				$photos = implode(",", $photo_id[1]);
				$result = dbquery("SELECT photo_id, photo_filename FROM ".DB_PHOTOS." WHERE photo_id IN(".$photos.")");
				if ($settings['photo_watermark']) {
					while ($data = dbarray($result)) {
						$buffer = str_replace("<a href='photogallery.php?photo_id=".$data['photo_id']."' class='photogallery_album_photo_link'>", "<a href='photo.php?photo_id=".$data['photo_id']."&full' class='photogallery_album_photo_link' onclick=\"return hs.expand(this)\">", $buffer);
					}
				} else {
					while ($data = dbarray($result)) {
						$buffer = str_replace("<a href='photogallery.php?photo_id=".$data['photo_id']."' class='photogallery_album_photo_link'>", "<a href='".PHOTODIR.$data['photo_filename']."' class='photogallery_album_photo_link' onclick=\"return hs.expand(this)\">", $buffer);
					}
				}
				if ($hsgallery_conf['hsgallery_comments'] == 1) {
					$buffer = preg_replace("^<!--photogallery_album_photo_([0-9]+)-->(.*?)(".$locale['436']."|".$locale['436b'].")([0-9]+)<br />^si", "<!--photogallery_album_photo_\\1-->\\2<a href='photogallery.php?photo_id=\\1#comments'>\\3\\4</a><br />", $buffer);
				}
				if ($hsgallery_conf['hsgallery_views'] == 1) {
					$buffer = preg_replace("^<!--photogallery_album_photo_info-->\n(.*?)(".$locale['435'].")([0-9]+)</span><br />^si", "<!--photogallery_album_photo_info-->\\1</span>", $buffer);
				}
			}
			return $buffer;
		}
		add_handler("highslide_gallery");
	}
}

if($hsgallery_conf['hsgallery_slideshow'] == 1) {
	$result = dbquery("SELECT pa.album_id,pa.album_title,ph.photo_id,ph.photo_title,ph.photo_thumb1,pa.album_access
		FROM ".DB_PHOTO_ALBUMS." pa, ".DB_PHOTOS." ph
		WHERE ".groupaccess('pa.album_access')."
		AND pa.album_id = ph.album_id
		ORDER BY RAND() LIMIT 0,1");
		
	if (dbrows($result)) {
		openside($locale['hgp_010']);
		$data = dbarray($result); 
		echo "<div style='text-align:center'>\n<a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."'>\n"; 
		echo "<img src='".PHOTOS.(!SAFEMODE_HS ? "album_".$data['album_id']."/" : "").$data['photo_thumb1']."' title='".$data['photo_title']."' alt='".$data['photo_title']."' style='border:0' /></a>\n<br />\n"; 
		echo "".$data['photo_title']."\n<br />\n<a href='".BASEDIR."photogallery.php?album_id=".$data['album_id']."' class='side'>".$data['album_title']."</a></div>\n";
		closeside();
	}
}
?>